spec_version = "1.0.0"
canonical_name = "atoms.convergent-systems.co/catalogs/theme-atoms"
version = "0.1.0"
atom_type = "atoms.convergent-systems.co/catalogs"
authored_by = "ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y="
created_at = "2026-05-22T03:40:32.832Z"

[signatures]
"ed25519:P6+CekZ4v8Y+h4AUvxnVoGc9scE4kwOn3Ee46/3P65Y=" = "qmt1018fMaG3zFqOat+6Q7PrYXdvnmzkBo331W038TmMjyzoDLirb56HdufcH4MJoZcF/g4dF0PVglIgv+W5Aw=="

[body]
atom_types = ["prompt-segment", "separator-style", "glyph-set", "role-binding", "syntax-scheme"]
canonical_domain = "theme-atoms.com"
catalog_name = "theme-atoms"
catalog_version = "0.1.0"
composition_dir = "themes"
composition_type = "themes"
federation = "xdao.co"
github_url = "https://github.com/convergent-systems-co/theme-atoms"
implements_spec = "atoms-spec/v1"
license = "Apache-2.0"
pages_url = "https://theme-atoms.pages.dev"
purpose = "Theme primitives for terminal, shell, editor, and TUI experiences — prompt segments, separators, glyph sets, role bindings, syntax schemes. Composable surface designs that extend brands with surface-specific behavior."
rule_types = ["brand-conformance", "contrast-requirement", "glyph-completeness"]
runtime_consumers = ["aish", "olympus"]
